image: node:16.20.2

stages:
  - test
  - staging
  - deploy

test_push:
  stage: test
  script:
  - yarn install
  - yarn build
  except:
    - main
    - development

staging_dev:
  stage: staging
  script:
  - yarn add netlify-cli
  - yarn install
  - yarn build
  - yarn netlify deploy --dir=build --site $NETLIFY_SITE_ID --auth $NETLIFY_AUTH_TOKEN --prod --message $CI_COMMIT_MESSAGE
  environment:
    name: staging
    url: https://workshop-git-course.netlify.app
  only:
    - development



pages:
  stage: deploy
  script:
  - yarn install
  - yarn build
  - mv ./build ./public
  artifacts:
    paths:
    - public
  only:
    - main
